package jp.co.headwaters.webappos.cache;

import java.util.HashMap;
import java.util.Map;

import jp.co.headwaters.webappos.cache.bean.ActionBean;

public class ActionCache {

	private static final ActionCache instance = new ActionCache();

	private Map<String, ActionBean> actionMap;

	private ActionCache() {
		// nothing
	}

	public static ActionCache getInstance() {
		return instance;
	}

	public Map<String, ActionBean> getActionMap() {
		return actionMap;
	}

	public void setActionMap(Map<String, ActionBean> actionMap) {
		this.actionMap = actionMap;
	}

	public void refresh() {
		setActionMap(new HashMap<String, ActionBean>());
	}
}
